Summary:	Simple Bittorrent client
Name:		transmission
Version:	4.0.5
Release:	%mkrel 1
License:	MIT and GPLv2
Group:		Networking/File transfer
URL:		https://transmissionbt.com/
Source0:	https://github.com/transmission/transmission/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	bzip2
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	miniupnpc-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libdeflate)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
# ovitters: needs to be built with -DENABLE_STRNATPMPERR  as CLAGFS, fixed in below version
BuildRequires:	libnatpmp-devel >= 20150609-4

%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

%package common
Summary:	Common files for Transmission Bittorrent client
Group:		Networking/File transfer
BuildArch:	noarch

%description common
Transmission is a free, lightweight BitTorrent client. This package
contains the common files used by the different front-ends.

%package cli
Summary:	Command line interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}

%description cli
Transmission is a free, lightweight BitTorrent client. This package
contains the command line interface front-end.

NOTE: This tool has been deprecated by the Transmission developers!

%package gtk3
Summary:	GTK+ 3 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}

%description gtk3
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

This package provides the GTK+ 3 Interface.

%package qt6
Summary:	Qt6 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}

Provides:	%{name}-qt5 = %{version}-%{release}
Obsoletes:	%{name}-qt5 < 3.00-10

%description qt6
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains QTransmission, a Qt6 based GUI for Transmission
loosely based on the GTK+ client.

%package daemon
Summary:	Daemon for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Requires(pre):		shadow-utils
Requires(pre):		rpm-helper >= 0.24.8-1
Requires(post):		systemd
Requires(preun):	systemd
Requires(preun):	rpm-helper >= 0.24.8-1
Requires(postun):	systemd

%description daemon
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains the transmission-daemon.

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_CLI:BOOL=ON \
  -DENABLE_GTK:BOOL=ON \
  -DENABLE_QT:BOOL=ON \
  -DENABLE_TESTS:BOOL=OFF \
  -DINSTALL_LIB:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}-gtk

# systemd service file
install -m0644 -D daemon/transmission-daemon.service %{buildroot}%{_unitdir}/transmission-daemon.service

%pre daemon
%_pre_useradd transmission %{_sharedstatedir}/transmission /sbin/nologin

%post daemon
%systemd_post transmission-daemon.service

%preun daemon
%systemd_preun transmission-daemon.service

%postun daemon
%systemd_postun_with_restart transmission-daemon.service

%files common
%doc %{_docdir}/%{name}/
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/public_html/
%{_iconsdir}/hicolor/*/apps/*.svg

%files cli
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-create
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-show
%{_mandir}/man1/%{name}-cli.1*
%{_mandir}/man1/%{name}-create.1*
%{_mandir}/man1/%{name}-edit.1*
%{_mandir}/man1/%{name}-remote.1*
%{_mandir}/man1/%{name}-show.1*

%files daemon
%{_bindir}/%{name}-daemon
%{_mandir}/man1/%{name}-daemon.1*
%{_unitdir}/%{name}-daemon.service

%files gtk3 -f %{name}-gtk.lang
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_mandir}/man1/%{name}-gtk.1*
%{_metainfodir}/%{name}-gtk.metainfo.xml

%files qt6
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_mandir}/man1/%{name}-qt.1*
%{_datadir}/%{name}/translations/


%changelog
* Fri Dec 29 2023 daviddavid <daviddavid> 4.0.5-1.mga10
+ Revision: 2023570
- new version: 4.0.5

* Fri Sep 01 2023 daviddavid <daviddavid> 4.0.4-1.mga10
+ Revision: 1983277
- new version: 4.0.4

* Sat Apr 22 2023 daviddavid <daviddavid> 4.0.3-1.mga9
+ Revision: 1954001
- new version: 4.0.3

* Thu Mar 23 2023 daviddavid <daviddavid> 4.0.2-1.mga9
+ Revision: 1950089
- new version: 4.0.2

* Thu Feb 23 2023 daviddavid <daviddavid> 4.0.1-1.mga9
+ Revision: 1945171
- new version: 4.0.1
- remove merged upstream patches

* Wed Feb 15 2023 daviddavid <daviddavid> 4.0.0-2.mga9
+ Revision: 1942438
- backport upstream patches to fix 4.0.0 regression on torrents whose
  pieces did not align on block boundaries

* Fri Feb 10 2023 daviddavid <daviddavid> 4.0.0-1.mga9
+ Revision: 1939894
- new version: 4.0.0
- switch to Qt6
- remove merged upstream patches

* Sun Apr 03 2022 umeabot <umeabot> 3.00-9.mga9
+ Revision: 1842727
- Mageia 9 Mass Rebuild

* Sun Nov 14 2021 wally <wally> 3.00-8.mga9
+ Revision: 1756271
- backport upstream change: Switch to a standalone ARC4 implementation (mga#29637)

* Mon Nov 08 2021 ovitters <ovitters> 3.00-7.mga9
+ Revision: 1754773
- rebuild for openssl 3.0

* Sat Oct 02 2021 wally <wally> 3.00-6.mga9
+ Revision: 1747627
- rebuild for openssl 3.0.0

* Thu Dec 17 2020 umeabot <umeabot> 3.00-5.mga8
+ Revision: 1660079
- Rebuild for new Qt5

* Tue Aug 04 2020 wally <wally> 3.00-4.mga8
+ Revision: 1610946
- add patch to port to Ayatana AppIndicator
- switch to cmake build

* Mon May 25 2020 ovitters <ovitters> 3.00-3.mga8
+ Revision: 1587597
- use system natpmp library

* Mon May 25 2020 ovitters <ovitters> 3.00-2.mga8
+ Revision: 1587572
- daemon: install systemd service

* Mon May 25 2020 ovitters <ovitters> 3.00-1.mga8
+ Revision: 1587536
- new version 3.00
- drop CVE-2018-10756 patch (CVE was fixed for 3.00)

* Thu May 21 2020 daviddavid <daviddavid> 2.94-7.mga8
+ Revision: 1586555
- add patch to fix CVE-2018-10756 (mga#26656)

* Sun Feb 16 2020 daviddavid <daviddavid> 2.94-6.mga8
+ Revision: 1531923
- rebuild for new libevent 2.1.11

* Sat Feb 15 2020 umeabot <umeabot> 2.94-5.mga8
+ Revision: 1525122
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Apr 02 2019 umeabot <umeabot> 2.94-4.mga7
+ Revision: 1385135
- Qt5 Rebuild

* Thu Feb 21 2019 daviddavid <daviddavid> 2.94-3.mga7
+ Revision: 1369234
- enable Appindicator support (BZ 1679345)

* Sun Sep 23 2018 umeabot <umeabot> 2.94-2.mga7
+ Revision: 1301452
- Mageia 7 Mass Rebuild

* Wed May 02 2018 daviddavid <daviddavid> 2.94-1.mga7
+ Revision: 1224465
- new version: 2.94
- remove merged upstream patch
+ ovitters <ovitters>
- fix source url again

* Tue Feb 13 2018 ovitters <ovitters> 2.93-1.mga7
+ Revision: 1200858
- remove merged patch
- new version 2.93

* Fri Sep 15 2017 cjw <cjw> 2.92-5.mga7
+ Revision: 1153933
- add two patches from upstream to fix build with openssl 1.1

* Thu Aug 24 2017 guillomovitch <guillomovitch> 2.92-4.mga7
+ Revision: 1147642
- change build dependencies to keep building against openssl 1.0

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 2.92-3.mga6
+ Revision: 1086454
- rebuild for new libevent

* Tue Feb 14 2017 mrambo3501 <mrambo3501> 2.92-2.mga6
+ Revision: 1086125
- rebuild for new libevent

* Mon Mar 28 2016 ovitters <ovitters> 2.92-1.mga6
+ Revision: 996023
- new version 2.92

* Mon Feb 29 2016 ovitters <ovitters> 2.90-1.mga6
+ Revision: 981115
- enable deprecated cli tool
- new version 2.90

* Tue Feb 09 2016 umeabot <umeabot> 2.84-5.mga6
+ Revision: 951354
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 akien <akien> 2.84-4.mga5
+ Revision: 805412
- Fix summary of transmission-qt5

* Wed Oct 15 2014 umeabot <umeabot> 2.84-3.mga5
+ Revision: 749443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.84-2.mga5
+ Revision: 689945
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 2.84-1.mga5
+ Revision: 650286
- new version 2.84

* Fri Jun 06 2014 oden <oden> 2.83-1.mga5
+ Revision: 634097
- 2.83

* Sat Oct 19 2013 umeabot <umeabot> 2.82-2.mga4
+ Revision: 533225
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 dams <dams> 2.82-1.mga4
+ Revision: 472192
- new version 2.82
- update BR for support Qt5
- update GUI subpackages to indicate the GTK+ and Qt version
- fix %%summary for the daemon subpackage

* Tue Jul 23 2013 sander85 <sander85> 2.81-1.mga4
+ Revision: 457420
- New version: 2.81

* Thu Jun 27 2013 fwang <fwang> 2.80-1.mga4
+ Revision: 447396
- new version 2.80

* Fri Feb 22 2013 dams <dams> 2.77-1.mga3
+ Revision: 399952
- new version 2.77

* Thu Jan 24 2013 dams <dams> 2.76-1.mga3
+ Revision: 392081
- new version 2.76
- remove useless desktop patch

* Mon Jan 14 2013 umeabot <umeabot> 2.75-2.mga3
+ Revision: 384766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 fwang <fwang> 2.75-1.mga3
+ Revision: 331881
- new version 2.75

* Fri Dec 14 2012 fwang <fwang> 2.74-1.mga3
+ Revision: 330697
- new version 2.74

* Fri Nov 23 2012 fwang <fwang> 2.73-1.mga3
+ Revision: 321222
- new version 2.73

* Fri Oct 19 2012 fwang <fwang> 2.72-1.mga3
+ Revision: 308095
- fix desktop file
- new version 2.72

* Wed Sep 26 2012 ovitters <ovitters> 2.71-1.mga3
+ Revision: 298452
- drop merged patch
- new version 2.71

* Thu Jul 26 2012 fwang <fwang> 2.61-1.mga3
+ Revision: 274435
- new version 2.61

* Tue Jul 17 2012 dams <dams> 2.60-2.mga3
+ Revision: 271776
- fix missing Qt translations (mga#6788) thanks to neoclust

* Fri Jul 06 2012 fwang <fwang> 2.60-1.mga3
+ Revision: 268400
- new version 2.60

* Mon May 28 2012 dams <dams> 2.52-1.mga3
+ Revision: 248337
- new version 2.52

* Fri Apr 13 2012 dams <dams> 2.51-1.mga2
+ Revision: 230671
- new version 2.51

* Tue Feb 21 2012 ovitters <ovitters> 2.50-1.mga2
+ Revision: 211695
- new version
- build gtk+3.x client instead of gtk+2.x

* Sat Dec 24 2011 ovitters <ovitters> 2.42-2.mga2
+ Revision: 187200
- use transient notifications

* Thu Nov 10 2011 tmb <tmb> 2.42-1.mga2
+ Revision: 166350
- update to 2.42

* Mon Oct 10 2011 ovitters <ovitters> 2.41-1.mga2
+ Revision: 153606
- new version 2.41

* Mon Sep 19 2011 doktor5000 <doktor5000> 2.33-2.mga2
+ Revision: 145419
- add BuildRequire on canberra-gtk-devel to enable sound support
+ fwang <fwang>
- new version 2.33

* Fri Jul 08 2011 dams <dams> 2.32-1.mga2
+ Revision: 120709
- Update to 2.32

* Mon Jun 13 2011 ahmad <ahmad> 2.31-1.mga2
+ Revision: 105529
- Update to 2.31
- Add BR dbus-glib-devel for dbus support

* Fri Apr 01 2011 dams <dams> 2.22-1.mga1
+ Revision: 79505
- Update to 2.22

* Sun Feb 27 2011 ahmad <ahmad> 2.21-1.mga1
+ Revision: 61217
- update to 2.21
- imported package transmission


* Wed Dec 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.12-1mdv2011.0
+ Revision: 604508
- Update to 2.12

* Fri Oct 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.11-1mdv2011.0
+ Revision: 587231
- update to 2.11
- rediff (and rename) patch0
- stricter requires for qt4-devel
- install transmission-qt.desktop from the tarball manually (make install doesn't
  install it)
- update file list
   ?\226?\128?\162 install new cli tools
   ?\226?\128?\162 gtk binary is now transmission-gtk
   ?\226?\128?\162 qt4 binary is now transmission-qt

* Sat Aug 21 2010 Thomas Backlund <tmb@mandriva.org> 2.04-1mdv2011.0
+ Revision: 571730
- update to 2.04

* Wed Jul 28 2010 Thomas Backlund <tmb@mandriva.org> 2.03-1mdv2011.0
+ Revision: 562781
- update to 2.03

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 1.92-1mdv2010.1
+ Revision: 535559
- Update to new version 1.92 (fixes CVE-2010-0748, CVE-2010-0749)

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 1.91-5mdv2010.1
+ Revision: 531919
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.91-4mdv2010.1
+ Revision: 511646
- rebuilt against openssl-0.9.8m

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.91-3mdv2010.1
+ Revision: 511198
- rebuild
- really link against system libevent (fedora)

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 1.91-1mdv2010.1
+ Revision: 509634
- update to new version 1.91

* Tue Feb 16 2010 Frederik Himpe <fhimpe@mandriva.org> 1.90-1mdv2010.1
+ Revision: 506880
- update to new version 1.90

* Fri Jan 29 2010 Frederik Himpe <fhimpe@mandriva.org> 1.83-1mdv2010.1
+ Revision: 498285
- update to new version 1.83

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 1.82-1mdv2010.1
+ Revision: 495313
- update to new version 1.82

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 1.80-1mdv2010.1
+ Revision: 494626
- update to new version 1.80

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 1.77-1mdv2010.1
+ Revision: 486804
- update to new version 1.77

* Wed Dec 16 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.76-2mdv2010.1
+ Revision: 479607
- rebuild for new qt

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.76-1mdv2010.1
+ Revision: 462058
- Update to new version 1.76

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.75-1mdv2010.0
+ Revision: 443184
- Update to new version 1.75

  + John Balcaen <mikala@mandriva.org>
    - Fix .desktop file for Qt4 Gui

* Wed Aug 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1.74-3mdv2010.0
+ Revision: 421527
- Fix provides

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.74-2mdv2010.0
+ Revision: 421290
- Fix rpmlint warnings (mix of tables and spaces, missing colon in provides,
  missing defattr)
- Let gtk and qt4 subpackages provide virtual gui subpackage
- Use tabs in SPEC file

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.74-1mdv2010.0
+ Revision: 421285
- Build QT4 GUI and split package in gtk, cli, qt4, daemon and common
  subpackages (based on work from John Balcaen)
- Remove old pre-2009.0 compatibiliyt %%post and %%postun scripts
- Remove provides for bittorrent-gui and BitTornado: nothing in the
  distro requires them anymore
- Update to new version 1.74

* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.73-1mdv2010.0
+ Revision: 397928
- update to new version 1.73

* Wed Jun 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1.72-1mdv2010.0
+ Revision: 386790
- update to new version 1.72

* Mon Jun 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.71-2mdv2010.0
+ Revision: 384105
- update to new version 1.71

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.70-1mdv2010.0
+ Revision: 383116
- Update to new version 1.70
- Build with system libevent

* Tue May 12 2009 Funda Wang <fwang@mandriva.org> 1.61-1mdv2010.0
+ Revision: 374891
- New version 1.61

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.60-1mdv2010.0
+ Revision: 372222
- update to new version 1.60

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.52-1mdv2010.0
+ Revision: 370254
- update to new version 1.52

* Sat Feb 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.51-1mdv2009.1
+ Revision: 345849
- update to new version 1.51

* Sat Feb 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.50-1mdv2009.1
+ Revision: 340289
- update to new version 1.50

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.42-3mdv2009.1
+ Revision: 319992
- obsolete bittorrent-gui too

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.42-2mdv2009.1
+ Revision: 319984
- obsolete BitTornado (I'm cleaning up wxpython2.6 stuff and this is as good an
  upgrade path as any)

* Thu Dec 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.42-1mdv2009.1
+ Revision: 319021
- update to new version 1.42

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Nov 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.40-1mdv2009.1
+ Revision: 304023
- buildrequires intltool, apparently
- drop fix-memleak.patch (merged upstream, and was wrongly done in any case)
- new release 1.40

* Fri Oct 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.34-1mdv2009.1
+ Revision: 294801
- new release 1.34

* Thu Sep 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.33-2mdv2009.0
+ Revision: 288214
- Add upstream patch fixing huge memory leak, from Debian:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499828

* Fri Aug 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.33-1mdv2009.0
+ Revision: 275208
- Update to version 1.33, remove patch integrated upstream

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 1.32-2mdv2009.0
+ Revision: 271688
- add open.patch from SVN: fixes a problem with opening torrents from Firefox
- streamline spec svn conditionals

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.org> 1.32-1mdv2009.0
+ Revision: 271546
- new release 1.32

* Thu Aug 07 2008 Funda Wang <fwang@mandriva.org> 1.31-1mdv2009.0
+ Revision: 265679
- New version 1.31
- drop libevent BR, it ships its own libevent

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 1.22-1mdv2009.0
+ Revision: 219299
- New version 1.22

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 25 2008 Funda Wang <fwang@mandriva.org> 1.21-1mdv2009.0
+ Revision: 211118
- update to new version 1.21

* Sun May 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.20-1mdv2009.0
+ Revision: 205560
- buildrequires libcurl-devel
- new release 1.20

* Mon Apr 14 2008 Adam Williamson <awilliamson@mandriva.org> 1.11-1mdv2009.0
+ Revision: 193040
- new release 1.11

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.06-1mdv2008.1
+ Revision: 175965
- new release 1.06

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 1.05-1mdv2008.1
+ Revision: 164575
- New version 1.05

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 1.04-1mdv2008.1
+ Revision: 161322
- New version 1.04

* Wed Jan 30 2008 Funda Wang <fwang@mandriva.org> 1.03-1mdv2008.1
+ Revision: 160266
- New version 1.03

* Tue Jan 15 2008 Adam Williamson <awilliamson@mandriva.org> 1.01-1mdv2008.1
+ Revision: 153443
- new release 1.01

* Fri Jan 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.00-1mdv2008.1
+ Revision: 148799
- new release 1.00
- restore buildroot for backport

* Thu Dec 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.96-1mdv2008.1
+ Revision: 135386
- minor spec clean
- new release 0.96

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.95-1mdv2008.1
+ Revision: 115739
- new release 0.95

* Tue Nov 27 2007 Adam Williamson <awilliamson@mandriva.org> 0.94-1mdv2008.1
+ Revision: 113533
- new release 0.94

* Sun Nov 18 2007 Adam Williamson <awilliamson@mandriva.org> 0.93-1mdv2008.1
+ Revision: 109771
- new release 0.93

* Sat Nov 10 2007 Adam Williamson <awilliamson@mandriva.org> 0.92-1mdv2008.1
+ Revision: 107449
- new release 0.92

* Mon Nov 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.91-2mdv2008.1
+ Revision: 106208
- rebuild for lzma permissions issue (#35309)

* Tue Oct 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.91-1mdv2008.1
+ Revision: 103906
- package man pages
- new release 0.91

* Thu Oct 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.90-1mdv2008.1
+ Revision: 102010
- drop man dir fix patch, no longer needed
- drop a couple of workarounds no longer needed due to upstream changes
- adjust file list
- new release 0.90

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.82-1mdv2008.0
+ Revision: 91270
- new release 0.82 (important bug fixes)
- spec clean

* Wed Aug 29 2007 Adam Williamson <awilliamson@mandriva.org> 0.81-1mdv2008.0
+ Revision: 73312
- add some new translations to the file list
- use %%setup -c because this version's tarball is broken
- new release 0.81

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.org> 0.80-3mdv2008.0
+ Revision: 62338
- correct icon name in .desktop file

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.org> 0.80-2mdv2008.0
+ Revision: 62303
- update file list
- drop old icons and some unneeded fd.o resolutions
- buildrequires libevent-devel (for daemon)
- update license (some files are now GPL)
- new release 0.80

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 0.72-2mdv2008.0
+ Revision: 60902
- Use applications' own desktop file

* Mon Apr 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.72-1mdv2008.0
+ Revision: 19704
- 0.72, use upstream versioning and archive naming

* Fri Apr 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.0-1mdv2008.0
+ Revision: 16357
- 0.7.0 final

* Tue Apr 17 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.0-0.1733.1mdv2008.0
+ Revision: 13861
- new snapshot 1733
- add patch from trac to handle malformed bencoded responses


* Sat Apr 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.7.0-0.1675.1mdv2007.1
+ Revision: 150888
- SVN snapshot
- Drop all patches but manpage location fix (merged)
- Handle l10n files correctly
- generate full icon set
- Import transmission

